<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_10</title>
</head>
<body>
    <h1>Capitulo 10</h1>
    <a>Ejercicio 4</a>

    <script>

        const buscarBinario = (arr, l, r, x) => {
            
            if (r >= l) {
                let mid = l + Math.floor((r - l) / 2);
                if (arr[mid] === x) {
                    return mid;
                }
                if (arr[mid] > x) {
                    return buscarBinario(arr, l, mid-1, x);
                }
                return buscarBinario(arr, mid+1, r, x);
            }
            return -1;
        }

        const encontrarPos = (arr, key) => {
            
            let l = 0; h = 1;
            let val = arr[0];

            while (val < key) {
                l = h;
                h = 2 * h;
                val = arr[h];                    

            }
        
            return buscarBinario(arr, l, h, key);
        }

        let arr = [3, 5, 7, 9, 10, 90, 100, 130, 140, 160, 170];
        let ans = encontrarPos(arr, 90);

        if (ans === -1) {
            console.log(`NO fue encontrado`);
        } else {
            console.log(`El elemento fue encontrado en el indice "${ans}"`);
        }
 
        
        
</script>
    
</body>
</html>